Page MenuHomePhabricator

labtestneutron2001: reimage to stretch & rename to cloudnet2001-dev
Closed, ResolvedPublic

Description

Use this server to try the upgrade from jessie to stretch.

Since trying the new puppet code involves reimaging, let's rename to the modern naming scheme while at it.

Timeline would be:

  • disable puppet in labtestneutron2001
  • merge puppet patch to rename and get the new debian installer working
  • merge dns patch to add the new FQDNs (partial, the old mgmt names still remains)
  • run the wmf-auto-reimage-host script
  • merge DNS cleanup patch
  • netbox update
  • get the physical relabeling done (T214181)
  • done

By the way, this server is standby in the neutron setup in the labtestn deployment.

Event Timeline

aborrero created this task.Jan 18 2019, 1:50 PM
aborrero triaged this task as Normal priority.

Change 485185 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] labtestneutron2001: reimage to stretch and rename to cloudnet2001-dev

https://gerrit.wikimedia.org/r/485185

aborrero updated the task description. (Show Details)Jan 18 2019, 1:53 PM
aborrero moved this task from Inbox to Doing on the cloud-services-team (Kanban) board.

Change 485187 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/dns@master] labtestneutron2001: rename to cloudnet2001-dev

https://gerrit.wikimedia.org/r/485187

aborrero updated the task description. (Show Details)Jan 18 2019, 2:01 PM

Change 485185 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] labtestneutron2001: reimage to stretch and rename to cloudnet2001-dev

https://gerrit.wikimedia.org/r/485185

aborrero updated the task description. (Show Details)Jan 18 2019, 4:03 PM

Change 485187 merged by Arturo Borrero Gonzalez:
[operations/dns@master] labtestneutron2001: rename to cloudnet2001-dev

https://gerrit.wikimedia.org/r/485187

aborrero updated the task description. (Show Details)Jan 18 2019, 4:08 PM

Script wmf-auto-reimage was launched by aborrero on cumin1001.eqiad.wmnet for hosts:

labtestneutron2001.codfw.wmnet

The log can be found in /var/log/wmf-auto-reimage/201901181613_aborrero_249597_labtestneutron2001_codfw_wmnet.log.

Mentioned in SAL (#wikimedia-operations) [2019-01-18T16:14:50Z] <arturo> T214167 reimage+rename labtestneutron2001.codfw.wmnet (jessie) to cloudnet2001-dev.codfw.wmnet (stretch)

Completed auto-reimage of hosts:

['cloudnet2001-dev.codfw.wmnet']

Of which those FAILED:

['cloudnet2001-dev.codfw.wmnet']
aborrero updated the task description. (Show Details)Jan 18 2019, 5:35 PM

The host was successfully reimaged+renamed, despite the ops-monitoring-bot message.

Change 485613 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/dns@master] labtestneutron2001: cleanup

https://gerrit.wikimedia.org/r/485613

Change 485613 merged by Arturo Borrero Gonzalez:
[operations/dns@master] labtestneutron2001: cleanup

https://gerrit.wikimedia.org/r/485613

aborrero updated the task description. (Show Details)Jan 21 2019, 9:54 AM
aborrero closed this task as Resolved.
Dzahn added a subscriber: Dzahn.Jan 22 2019, 11:52 PM

cloudnet2001-dev - Check systemd state - CRITICAL - degraded: The system is operational but one or more units failed.

https://icinga.wikimedia.org/cgi-bin/icinga/extinfo.cgi?type=2&host=cloudnet2001-dev&service=Check+systemd+state

cloudnet2001-dev - Check systemd state - CRITICAL - degraded: The system is operational but one or more units failed.

https://icinga.wikimedia.org/cgi-bin/icinga/extinfo.cgi?type=2&host=cloudnet2001-dev&service=Check+systemd+state

Thanks! should be solved now.